Skip to main content
GET
/
api
/
detections
/
generate-plan-async
/
{jobId}
cURL
curl -X GET "https://app.cotool.ai/api/detections/generate-plan-async/:jobId" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
import requests

url = "https://app.cotool.ai/api/detections/generate-plan-async/{jobId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.cotool.ai/api/detections/generate-plan-async/{jobId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detections/generate-plan-async/{jobId}")
  .header("Authorization", "Bearer <token>")
  .asString();
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.cotool.ai/api/detections/generate-plan-async/{jobId}"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
{}
{
  "error": "<string>",
  "issues": [
    {}
  ]
}
{
  "error": "<string>"
}
{
  "error": "<string>",
  "missingPerms": [
    "<string>"
  ]
}
{
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

jobId
string<uuid>
required

Investigation plan generation job ID

Response

Successful response

status
enum<string>
required
Available options:
pending,
in_progress